package com.genuitec.pulse.client.delivery.example.launch.library.executable.model;

import java.util.List;

import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "launch-executable")
public class LaunchExecutableModel {

	private String libraryName;
	private String windowsExecutableName;
	private String linuxExecutableName;
	private String osxExecutableName;
	private List<String> executableArguments;
	
	@XmlAttribute(name = "library-name")
	public String getLibraryName() {
		return libraryName;
	}
	
	public void setLibraryName(String librayrName) {
		this.libraryName = librayrName;
	}
	
	@XmlAttribute(name = "windows-executable-name")
	public String getWindowsExecutableName() {
		return windowsExecutableName;
	}
	
	public void setWindowsExecutableName(String windowsExecutableName) {
		this.windowsExecutableName = windowsExecutableName;
	}

	@XmlAttribute(name = "linux-executable-name")
	public String getLinuxExecutableName() {
		return linuxExecutableName;
	}

	public void setLinuxExecutableName(String linuxExecutableName) {
		this.linuxExecutableName = linuxExecutableName;
	}

	@XmlAttribute(name = "osx-executable-name")
	public String getOsxExecutableName() {
		return osxExecutableName;
	}

	public void setOsxExecutableName(String osxExecutableName) {
		this.osxExecutableName = osxExecutableName;
	}
	
	@XmlElementWrapper(name = "commands")
	@XmlElement(name = "command")
	public List<String> getExecutableArguments() {
		return executableArguments;
	}

	public void setExecutableArguments(List<String> executableArguments) {
		this.executableArguments = executableArguments;
	}
	
}
